Skip to main content
GET
/
check
List Issued Checks
curl --request GET \
  --url https://api.treasuryprime.com/check \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "account_id": "<string>",
      "amount": "<string>",
      "bank_id": "<string>",
      "check_date": "<string>",
      "check_number": "<string>",
      "delivery_method": "<string>",
      "error": "<string>",
      "id": "<string>",
      "memo": "<string>",
      "message": "<string>",
      "org_id": "<string>",
      "recipient": {
        "address": {
          "city": "<string>",
          "postal_code": "<string>",
          "state": "<string>",
          "street_line_1": "<string>",
          "street_line_2": "<string>"
        },
        "name": "<string>"
      },
      "signatory_name": "<string>",
      "status": "<string>",
      "userdata": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of the Account issuing the check. Filterable.

org_id
string

ID of the organization with which the object is associated. Filterable.

status
string

Status of check. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size check elements, starting after the check described by page_cursor. If no more checks are available, the resulting list will be empty.

data
object[]